      PROGRAM radialinte
C     Solve diffequ for MD porblem
	USE numerical_libraries
      INTEGER NVARS
      PARAMETER (NVARS=1)
      INTEGER i,ido
      REAL time1,time2,w(NVARS)
	Real parm(50)
    	REAL ma,mb,mu
	Logical flag
	REAL r0, well, range,E,b
	common /potent/r0, well,range,E,flag,b
	COMMON /masses/ma,mb,mu
      EXTERNAL derivs
	ma=1.
	mb=35.
	mu=1./(1/ma+1/mb)
	parm(1)=1.e-3
	eps=1.e-6
	r0=2.
	well=5.
	range=1
	IDO=1
	flag=.false.
	b=0.
c
c  The k's re the rate constants   
      time2=0.
c
      w(1)=10
	E=0.5*mu*(1.**2)
c  next open data file and write out initial conditions
	open(unit=4,file='traject.txt',action='write',status='replace')
      
      write(4,100)time2, w(1)
      write(6,100)time2,w(1)
      
	
c next start solving the equation
     
      do while ((time2.lt. (20.))
	1 .and. (w(1).gt.(-10.1))
	2 .and. (w(1).lt.(10.1)))
	time1=time2
	time2=time1+0.1
c
c IVPRK integrates the rate equation from time1 to time2
c
	CALL IVPRK (IDO, NVARS, derivs, time1, 
	1 time2, EPS, PARAM, W)

100	format(1x,f5.2,12("'", 2x,f7.3))
      write(4,100)time2, w(1)
      write(6,100)time2,w(1)
	
10	end do
	
      write(*,'(/1x,a,t30,i3)') 'Successful steps:',nok
      write(*,'(1x,a,t30,i3)') 'Bad steps:',nbad
999   write(*,*) 'NORMAL COMPLETION'
      STOP
      END

	subroutine derivs (N, t, w, wprime)
	integer N
	logical flag
	real t,w(*),wprime(*),Veff,VAB,rAB
    	REAL ma,mb,mu
	REAL r0, well, range,E,b,Eeff
	common /potent/r0, well,range,E,flag,b
	COMMON /masses/ma,mb,mu
	rAB=w(1)
	VAB= well*(
	1   exp(-2.*(rAB-r0)/range)
	2   -2*exp(-(rAB-r0)/range) )
	Veff=VAB+E*b*b/rAB/rAB
	Eeff= E-Veff
	if(Eeff.gt.0)then
	wprime(1)= -sqrt(2*mu*Eeff)
	if(flag)wprime(1) =-wprime(1)

	else
	wprime(1)= 10.
	endif

	if(abs(wprime(1)).lt.0.01)	flag=.true.
	
	return
	end